<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Controller;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;

class AddToQuoteCommand implements AddToQuoteCommandInterface
{
    private readonly QuoteInterface $quote;

    private readonly QuoteItemInterface $cartItem;

    public function __construct(QuoteInterface $quote, QuoteItemInterface $cartItem)
    {
        $this->quote = $quote;
        $this->cartItem = $cartItem;
    }

    public function getQuote(): QuoteInterface
    {
        return $this->quote;
    }

    public function getCartItem(): QuoteItemInterface
    {
        return $this->cartItem;
    }
}
