<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\NumberAssigner;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Dedi\SyliusQuotePlugin\NumberGenerator\QuoteNumberGeneratorInterface;

class QuoteNumberAssigner implements QuoteNumberAssignerInterface
{
    private readonly QuoteNumberGeneratorInterface $quoteNumberGenerator;

    public function __construct(QuoteNumberGeneratorInterface $quoteNumberGenerator)
    {
        $this->quoteNumberGenerator = $quoteNumberGenerator;
    }

    public function assignNumber(QuoteInterface $quote): void
    {
        if (null !== $quote->getNumber()) {
            return;
        }

        $quote->setNumber($this->quoteNumberGenerator->generate($quote));
    }
}
