<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Processor\Quote;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;

class CompositeQuoteProcessor implements QuoteProcessorInterface
{
    private readonly iterable $prioritizedProcessors;

    public function __construct(iterable $prioritizedProcessors)
    {
        $this->prioritizedProcessors = $prioritizedProcessors;
    }

    public function process(QuoteInterface $quote): void
    {
        /** @var QuoteProcessorInterface $quoteProcessor */
        foreach ($this->prioritizedProcessors as $quoteProcessor) {
            $quoteProcessor->process($quote);
        }
    }
}
