<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Traits;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Doctrine\ORM\Mapping as ORM;

trait QuoteAwareTrait
{
    /**
     * @ORM\OneToOne(targetEntity="Dedi\SyliusQuotePlugin\Entity\QuoteInterface")
     *
     * @ORM\JoinColumn(name="quote_id", referencedColumnName="id", onDelete="SET NULL")
     */
    protected ?QuoteInterface $quote = null;

    public function getQuote(): ?QuoteInterface
    {
        return $this->quote;
    }

    public function setQuote(?QuoteInterface $quote): self
    {
        $this->quote = $quote;

        return $this;
    }
}
