<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Traits;

use Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface;
use Doctrine\ORM\Mapping as ORM;

trait QuoteItemAwareTrait
{
    /**
     * @ORM\OneToOne(targetEntity="Dedi\SyliusQuotePlugin\Entity\QuoteItemInterface")
     *
     * @ORM\JoinColumn(name="quote_item_id", referencedColumnName="id", onDelete="SET NULL")
     */
    protected ?QuoteItemInterface $quoteItem = null;

    public function getQuoteItem(): ?QuoteItemInterface
    {
        return $this->quoteItem;
    }

    public function setQuoteItem(?QuoteItemInterface $quoteItem): self
    {
        $this->quoteItem = $quoteItem;

        return $this;
    }
}
